public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-fps/legends/
@ 2017-02-07  0:51 Austin English
  0 siblings, 0 replies; 2+ messages in thread
From: Austin English @ 2017-02-07  0:51 UTC (permalink / raw
  To: gentoo-commits

commit:     f178e7de596cb82b630e8bfe51039223d69302ea
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  6 23:57:11 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Feb  7 00:51:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f178e7de

games-fps/legends: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 games-fps/legends/legends-0.4.1.43-r2.ebuild | 70 ++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/games-fps/legends/legends-0.4.1.43-r2.ebuild b/games-fps/legends/legends-0.4.1.43-r2.ebuild
new file mode 100644
index 00000000..71e8929
--- /dev/null
+++ b/games-fps/legends/legends-0.4.1.43-r2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils unpacker
+
+MY_P=${PN}_linux-${PV}
+dir=/opt/${PN}
+
+DESCRIPTION="Fast-paced first-person-shooter online multiplayer game, similar to Tribes"
+HOMEPAGE="http://legendsthegame.net/"
+SRC_URI="http://legendsthegame.net/files/${MY_P}.run
+	mirror://gentoo/${PN}.png"
+
+LICENSE="Legends LGPL-2.1+"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+dedicated"
+RESTRICT="strip"
+
+QA_TEXTRELS="${dir:1}/libSDL-1.3.so.0"
+QA_FLAGS_IGNORED="${dir:1}/libSDL-1.3.so.0 ${dir:1}/LinLegends ${dir:1}/lindedicated"
+
+DEPEND=""
+RDEPEND="sys-libs/glibc
+	amd64? ( sys-libs/glibc[multilib] )
+	media-fonts/font-adobe-75dpi
+	media-libs/libsdl[video,sound,opengl,abi_x86_32(-)]
+	x11-libs/libX11[abi_x86_32(-)]
+	x11-libs/libXext[abi_x86_32(-)]
+	media-libs/libogg[abi_x86_32(-)]
+	media-libs/libvorbis[abi_x86_32(-)]
+	media-libs/openal[abi_x86_32(-)]"
+
+S=${WORKDIR}
+
+src_unpack() {
+	unpack_makeself ${MY_P}.run
+	cd "${S}"
+
+	# keep libSDL-1.3.so because legends requires it as of 0.4.0, and
+	# 1.2.6 is highest in portage
+	# rm libSDL-*.so*
+	rm runlegends libSDL-1.2.so.0 libopenal.so libogg.so.0 libvorbis.so.0 *.DLL || die
+}
+
+src_install() {
+	insinto "${dir}"
+	doins -r * || die "doins * failed"
+
+	rm "${D}/${dir}/"/{lindedicated,LinLegends,*.so.0}
+	exeinto "${dir}"
+	doexe lindedicated LinLegends *.so.0 || die "doexe failed"
+
+	make_wrapper ${PN} "./LinLegends" "${dir}" "${dir}"
+	if use dedicated ; then
+		make_wrapper ${PN}-ded "./lindedicated" "${dir}" "${dir}"
+	fi
+
+	doicon "${DISTDIR}"/${PN}.png || die "doicon failed"
+	make_desktop_entry legends "Legends"
+}
+
+pkg_postinst() {
+	ewarn "Version ${PV} of ${PN} may give problems if there are"
+	ewarn "config-files from earlier versions.  Removing the ~/.legends dir"
+	ewarn "and restarting will solve this."
+	echo
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: games-fps/legends/
@ 2021-04-04  8:14 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2021-04-04  8:14 UTC (permalink / raw
  To: gentoo-commits

commit:     58e1177c352505f53536b05e90e5e24a80210410
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  4 08:10:48 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr  4 08:13:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58e1177c

games-fps/legends: EAPI 7, eutils--, desktop++, wrapper++

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-fps/legends/legends-0.4.1.43-r2.ebuild | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

diff --git a/games-fps/legends/legends-0.4.1.43-r2.ebuild b/games-fps/legends/legends-0.4.1.43-r2.ebuild
index e516f30fffc..f9421486173 100644
--- a/games-fps/legends/legends-0.4.1.43-r2.ebuild
+++ b/games-fps/legends/legends-0.4.1.43-r2.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils unpacker
+EAPI=7
+
+inherit desktop unpacker wrapper
 
 MY_P=${PN}_linux-${PV}
 dir=/opt/${PN}
@@ -11,6 +12,7 @@ DESCRIPTION="Fast-paced first-person-shooter online multiplayer game, similar to
 HOMEPAGE="http://legendsthegame.net/"
 SRC_URI="http://legendsthegame.net/files/${MY_P}.run
 	mirror://gentoo/${PN}.png"
+S="${WORKDIR}"
 
 LICENSE="Legends LGPL-2.1+"
 SLOT="0"
@@ -21,7 +23,6 @@ RESTRICT="strip"
 QA_TEXTRELS="${dir:1}/libSDL-1.3.so.0"
 QA_FLAGS_IGNORED="${dir:1}/libSDL-1.3.so.0 ${dir:1}/LinLegends ${dir:1}/lindedicated"
 
-DEPEND=""
 RDEPEND="sys-libs/glibc
 	amd64? ( sys-libs/glibc[multilib] )
 	media-fonts/font-adobe-75dpi
@@ -32,11 +33,9 @@ RDEPEND="sys-libs/glibc
 	media-libs/libvorbis[abi_x86_32(-)]
 	media-libs/openal[abi_x86_32(-)]"
 
-S=${WORKDIR}
-
 src_unpack() {
 	unpack_makeself ${MY_P}.run
-	cd "${S}"
+	cd "${S}" || die
 
 	# keep libSDL-1.3.so because legends requires it as of 0.4.0, and
 	# 1.2.6 is highest in portage
@@ -48,7 +47,7 @@ src_install() {
 	insinto "${dir}"
 	doins -r *
 
-	rm "${D}/${dir}/"/{lindedicated,LinLegends,*.so.0}
+	rm "${ED}/${dir}/"/{lindedicated,LinLegends,*.so.0} || die
 	exeinto "${dir}"
 	doexe lindedicated LinLegends *.so.0
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-04-04  8:14 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-02-07  0:51 [gentoo-commits] repo/gentoo:master commit in: games-fps/legends/ Austin English
  -- strict thread matches above, loose matches on Subject: below --
2021-04-04  8:14 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox